Accounts
Account Set Avatar
Upload an avatar for the authenticated account.
POST
Upload an avatar for the authenticated account.
cookie
storyden-session<token>Content-Length*integerBody content length in bytes.
body?fileapplication/octet-streamFormat
binarycurl -X POST 'https://example.com/api/accounts/self/avatar' \ -H 'Content-Length: 0' \ -H 'Content-Type: application/octet-stream' \ -d 'string'Example Response
Empty
Account Role Set Badge PUT
Desgiantes the specified role as a badge for the profile. Only one role may be set as a badge for the profile. Setting a role as a badge is entirely aesthetic and does not grant any additional permissions. Roles may be created without any permissions in order to be used as badges.
Account Update PATCH
Update the information for the currently authenticated account.